<div *ngIf="msgs.active" class="">
  <ng-container *ngIf="msgs.controls.length">
    <ng-container *ngFor="let ctrl of msgs.controls;">

      <div *ngIf="ctrl.active" [ngClass]="ctrl.class.shell">
        <!-- icon -->
        <!-- boundary -->
        <p>
          {{ ctrl.message }}
        </p>
      </div>

    </ng-container>
  </ng-container>
</div>
